#!/usr/bin/env python3
from .db import db
from sqlalchemy.dialects.postgresql import UUID


class SVMDetails(db.Model):
    aimodel_id = db.Column(UUID(as_uuid=True), db.ForeignKey("ai_model.id"), nullable=False, primary_key=True)
    aimodel = db.relationship("AIModel",  backref=db.backref("details", lazy=True, cascade="save-update, merge, delete, delete-orphan"))

    # details
    mid_window = db.Column(db.Float)
    mid_step = db.Column(db.Float)
    short_window = db.Column(db.Float)
    short_step = db.Column(db.Float)
    compute_beat = db.Column(db.Boolean)

